Subject: bug#60568: [FR] 30.0.50; Help buffers and function bodies for generated functions

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Jan 2023 08:55:38 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  Eli Zaretskii <[email-masked]>,
>   [email-masked],  [email-masked]
> Date: Fri, 06 Jan 2023 19:36:04 -0500
> 
> >>>>> What about the attached patch?  It seems to work well.
> >>>> SGTM.  With which cases did you test this?
> >>>> Adding Stefan, in case he has any comments.
> >> SGTM as well.
> > TBH, I'm not sure this is useful anymore, if the 'definition-name' slot is
> > supposed to be used for such functions (which I didn't know).  WDYT?
> 
> If you look at the code of `find-func.el` you'll see that we already
> rely on heuristics, so it seems like a natural complement.
> But I agree that `definition-name` is usually preferable since it's more
> reliable.  Still most people don't know `definition-name`, so it can
> still be helpful.

Maybe people will know better if definition-name would be documented.